package com.ruoyi.shipping.mapper;

import java.util.List;
import com.ruoyi.shipping.domain.TFeeInvoice;
import org.apache.ibatis.annotations.Param;

/**
 * 发票从Mapper接口
 * 
 * @author ruoyi
 * @date 2021-04-22
 */
public interface TFeeInvoiceMapper 
{
    /**
     * 查询发票从
     * 
     * @param fId 发票从ID
     * @return 发票从
     */
    public TFeeInvoice selectTFeeInvoiceById(Long fId);

    /**
     * 查询发票从列表
     * 
     * @param tFeeInvoice 发票从
     * @return 发票从集合
     */
    public List<TFeeInvoice> selectTFeeInvoiceList(TFeeInvoice tFeeInvoice);

    /**
     * 新增发票从
     * 
     * @param tFeeInvoice 发票从
     * @return 结果
     */
    public int insertTFeeInvoice(TFeeInvoice tFeeInvoice);

    /**
     * 修改发票从
     * 
     * @param tFeeInvoice 发票从
     * @return 结果
     */
    public int updateTFeeInvoice(TFeeInvoice tFeeInvoice);

    /**
     * 删除发票从
     * 
     * @param fId 发票从ID
     * @return 结果
     */
    public int deleteTFeeInvoiceById(Long fId);

    /**
     * 批量删除发票从
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTFeeInvoiceByIds(Long[] fIds);

    /**
     * 根据fpid删除数据
     * @param fId
     * @return
     */
    int deleteByFPid(Long fId);
    /**
     *  根据主表id 更新主表对应状态
     *
     * @param fettle 对应状态
     * @param fPid 主表id
     * @return  结果
     */
    int tFeeInvoiceUpdate(@Param("fPid") Long fPid, @Param("fettle") Long fettle);
}
